#include <SPI.h>
#include <nRF24L01.h>
#include <RF24.h>
RF24 radio(7, 8); // CE, CSN
const byte RX_addr[6] = "00001"; // swap
const byte TX_addr[6] = "00002";

char msg[128];
void setup() {
  Serial.begin(9600);
  Serial.setTimeout(50);
  radio.begin();
  radio.openReadingPipe(0, RX_addr);
  radio.openWritingPipe(TX_addr);  
  radio.setAutoAck(false);
  radio.setDataRate(RF24_1MBPS);//set data rate to 1MBPS RF24_1MBPS RF24_250KBPS
  radio.setChannel(115);//set frequency to channel 115
  radio.setCRCLength(RF24_CRC_8);
  radio.setPALevel(RF24_PA_MIN);
  radio.startListening();

  //radio.openWritingPipe(TX_addr);

}
void loop() {
  if (radio.available()) {
    char text[32] = "";
    radio.read(&text, sizeof(text));
    Serial.print(text);
  }
  if(Serial.available()>0)
  {
    radio.stopListening();
  //  radio.openWritingPipe(TX_addr);  
    String s=Serial.readString();
    s.toCharArray(msg,128);
    radio.write(&msg, sizeof(msg));
 //   radio.openReadingPipe(0, RX_addr);
    radio.startListening();
    
  }
  
}
